Page MenuHomePhabricator

Flow: after Summarize, action should change to 'Edit summary'
Closed, ResolvedPublic

Description

The page updates with the new summary, but the action item remains 'Summarize'. It only changes to 'Edit summary' when you reload or change the sort.

FWIW, the 'Hide' action changes to 'Unhide topic' without a reload.


Version: master
Severity: minor

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:54 AM
bzimport set Reference to bz70749.
bzimport added a subscriber: Unknown Object (MLST).
EBernhardson triaged this task as Low priority.Dec 11 2014, 3:28 AM

The standard way of handling this would be to adjust what we re-render. Currently when updating the summary we re-render just the summary, we should be doing the entire topic title which includes the menu.

EBernhardson set Security to None.

Change 179062 had a related patch set uploaded (by EBernhardson):
After summarize action should change to 'Edit Summary'

https://gerrit.wikimedia.org/r/179062

Patch-For-Review

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:42 AM

Change 179062 merged by jenkins-bot:
After summarize action should change to 'Edit Summary'

https://gerrit.wikimedia.org/r/179062

DannyH closed this task as Resolved.Feb 3 2015, 11:59 PM

Works on Beta, closing.